server:
  port: 7004
spring:
  application:
    name: jeecg-bytedance-ad
  profiles:
    active: @activatedProperties@
  main:
    allow-bean-definition-overriding: true
oss:
  replace:
    replace-value: oss-cn-beijing
    replace-old-value: oss-cn-beijing
    download: /mnt/file/video

bytedance:
  appId: 1635316529903624
  secret: 0c51523e90d6166418fc8421a4896808e90e26f4
  url:
    auth-prefix: https://ad.oceanengine.com/openapi
    api-prefix: https://ad.oceanengine.com/open_api
    callback-url: http://adsp.c-top.com.cn:8080/jeecg-boot/bytedance
    refresh-token: /oauth2/refresh_token
    advertiser-info: /2/advertiser/public_info/
    ad-get: /2/ad/get/
    ad-create: /2/ad/create/
    ad-update: /2/ad/update/
    ad-update-status: /2/ad/update/status/
    ad-update-bid: /2/ad/update/bid/
    ad-update-budget: /2/ad/update/budget/
    ad-update-reject-reason: 2/ad/reject_reason/
    campaign-get: /2/campaign/get/
    campaign-create: /2/campaign/create/
    campaign-update-status: /2/campaign/update/status/
    campaign-update: /2/campaign/update/
    dmp-custom-audience-select: /2/dmp/custom_audience/select/
    file-video-ad: /2/file/video/ad/
    file-image-ad: /2/file/image/ad/
    creative-update-status: /2/creative/update/status/
    creative-material-get: /2/creative/material/read/
    creative-create-v2: /2/creative/create_v2/
    creative-get: /2/creative/get/
    creative-read: /2/creative/read_v2/
    creative-update: /2/creative/update_v2/
    creative-reject-reason: /2/creative/reject_reason/
    advertiser-report-get: /2/report/advertiser/get/
    campaign-report-get: /2/report/campaign/get/
    ad-report-get: /2/report/ad/get/
    ad-creative-get: /2/report/creative/get/
    advertiser-fund-daily-stat: /2/advertiser/fund/daily_stat/